import { Component } from "./component";
export declare function For<T, U extends JSX.Element>(props: {
    each: T[];
    fallback?: JSX.Element;
    children: (item: T, index: () => number) => U;
}): () => U[];
export declare function Index<T, U extends JSX.Element>(props: {
    each: T[];
    fallback?: JSX.Element;
    children: (item: () => T, index: number) => U;
}): () => U[];
export declare function Show(props: {
    when: unknown;
    fallback?: JSX.Element;
    children: JSX.Element | ((item: any) => JSX.Element);
}): () => JSX.Element;
export declare function Switch(props: {
    fallback?: JSX.Element;
    children: JSX.Element;
}): () => JSX.Element;
declare type MatchProps = {
    when: unknown;
    children: JSX.Element | ((item: any) => JSX.Element);
};
export declare function Match(props: MatchProps): JSX.Element;
export declare function Dynamic<T>(props: T & {
    component?: Component<T>;
}): () => JSX.Element;
export {};
